%define uname Clementine

Summary:	A cross-platform music player based on Amarok 1.4
Name:		clementine
Version:	1.4.0
Release:	%mkrel 0.2
Source0:	 clementine-1.4.0rc1-557-g009642d12.tar.xz
Patch1: clementine-qt5-libraries.patch
Patch2: 0001-Remove-default-shortcuts.patch
License:	GPLv3
Group: Sound
URL: http://www.clementine-player.org/
BuildRequires: cmake
BuildRequires: lib64cdio-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64gpod-devel
BuildRequires: lib64gstreamer1.0-devel
BuildRequires: lib64gstreamer-plugins-base1.0-devel
BuildRequires: lib64gtest-devel
BuildRequires: lib64mesaglu1-devel
BuildRequires: lib64protobuf-devel
BuildRequires: lib64sqlite3-devel
BuildRequires: lib64tbb-devel
BuildRequires: libstdc++-devel
BuildRequires: make
BuildRequires: mesa-devel
BuildRequires: qtbase5-common-devel
BuildRequires: lib64qt5concurrent-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5dbus-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5sql-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires: lib64qt5x11extras-devel
#----------------------------------------
Requires:	qca2-qt5
Requires:	qt5-database-plugin-sqlite
Requires:   gstreamer1.0-plugins-good
Requires:   gstreamer1.0-plugins-bad
Requires:   gstreamer1.0-plugins-ugly
Requires:	glib-networking
Requires:   lib64protobuf23
#----------------------------------------

%description
Clementine is a modern music player and library organiser. Clementine is
a port of Amarok 1.4, with some features rewritten to take advantage of
Qt4.
Features:
        * Search and play your local music library
        * Listen to internet radio from Last.fm, SomaFM and Magnatune
        * Tabbed playlists, import and export M3U, XSPF, PLS and ASX
        * Visualisations from projectM
        * Transcode music into MP3, Ogg Vorbis, Ogg Speex, FLAC or AAC
        * Edit tags on MP3 and OGG files, organise your music
        * Download missing album cover art from Last.fm
        * Remote control using a Wii Remote, MPRIS or the command-line
        * Copy music to your iPod, iPhone, MTP or mass-storage USB player
        * Queue manager

%files
%{_bindir}
%{_datadir}
#---------------------------------------------------------------------

%prep
%setup -qn clementine-1.4.0rc1-557-g009642d12
%apply_patches

sed -i -e '/^\[Play Shortcut Group\]$/,300d' dist/*.desktop

%build
%cmake_qt5 -Wno-dev \
           -DBUILD_WERROR=OFF \

%cmake_build

%install
rm -rf %buildroot
%cmake_install

#menu
desktop-file-install --vendor="" \
--add-category="X-MandrivaLinux-Multimedia-Sound" \
--dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%changelog
* Wed Sep 29 2021 tex - 1.4.0-0.2pclos2021
- rebuild against updates

* Mon Apr 13 2020 tex - 1.3.1-6pclos2020
- rebuild against updates

* Tue Dec 05 2017 bb2 <bb2> - 1.3.1-5pclos2017
- add gcc7 patch

* Mon Jun 26 2017 bb2 <bb2> - 1.3.1-4pclos2017
- rebuild from git

* Sun Mar 19 2017 bb2 <bb2> - 1.3.1-3pclos2017
- rebuild against updates ffmpeg

* Tue Apr 19 2016 bb <bb> 1.3.1-2pclos2016
- update

